Name:           kde-plasma-stasks
Version:        0.5.1
Release:        2%{?dist}
Summary:        Alternate Task-Switcher plasma applet

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php/STasks?content=99739

Source0:        http://www.kde-look.org/CONTENT/content-files/99739-stasks-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.2.0

%description
A plasmoid offering an alternate task-switcher.

%prep
%setup -qn stasks-%{version}
find \( -name "*.cpp" -o -name "*.h" -o -name "README" -o -name "COPYING" \) -exec chmod -x {} \;

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plasma_applet_stasks.so
%{_kde4_datadir}/kde4/services/plasma-applet-stasks.desktop
%doc COPYING README

%changelog
* Sat May 09 2009 Sven Lankes <sven@lank.es> 0.5.1-2
- Remove executable bits from documentation files

* Wed Apr 29 2009 Sven Lankes <sven@lank.es> 0.5.1-1
- Initial packaging
